%define module_name App-GitHooks-Plugin-VersionTagsRequireChangelog
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/GitHooks.pm) perl(CPAN/Changes.pm) perl(Git/Repository.pm) perl(Log/Any.pm) perl(Module/Build.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Requires/Git.pm) perl(Try/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Require git version tags to have a matching changelog entry.
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-GitHooks-Plugin-VersionTagsRequireChangelog

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AU/AUBERTG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This is a companion plugin for the App::GitHooks::Plugin::NotifyReleasesToSlack manpage.
`NotifyReleasesToSlack' simply skips git version tags without a matching entry
in the changelog file, and this plugin allows you to force git version tags to
have a matching entry in the changelog file.

For example, you cannot do this:

_git tag v1.0.0
_git push origin v1.0.0

Unless your changelog file has a release entry for `v1.0.0'.
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README.md LICENSE example
%perl_vendor_privlib/A*

%changelog
* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- regenerated from template by package builder

* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- initial import by package builder

